//content       does the per connection stuff for config and query con
//homepage      http://www.rzuser.uni-heidelberg.de/~mkleinma/VTQL/
//Copyright (C) 2000-2002 Matthias Kleinmann <Matthias.Kleinmann@gmx.de>

#ifndef CONNECTION_EXEC_H
#define CONNECTION_EXEC_H

#include <string>
#include <set>
#include "connection.h"
#include <libvtql/smartptr.h>

class Server;
class BufferQueryResult;
class Connection_exec:public Connection_base{
 public:
  Connection_exec(const Connection_exec&);//no implementation
  Connection_exec(int,VTQL::UserMode,Server&);
  virtual ~Connection_exec();

  virtual bool Add2Poll(SockWait&)const;
  virtual bool Run(bool);
 private:
  Server& server;
  Inp_C Inp;
  Outp_C Outp;

  SmartPtr<BufferQueryResult> queryresp;

  bool bQuitting;

  bool Flush(bool,bool);
  void Exec(bool);

  void Run_Queryres();
  void ShowFreq();
  void GetPgL(const std::string&,VTQL::ShowMode);
  void ShowCmds();
  void SetQuit(){bQuitting=true;}
};

#endif
