#content       definition of VTQL
#homepage      http://www.rzuser.uni-heidelberg.de/~mkleinma/VTQL/
#Copyright (C) 2000-2002 Matthias Kleinmann <Matthias.Kleinmann@gmx.de>
#
#format:
#(word,#arg)... : mode1$mode2%mode3$... : command1$command2and3$...

("PAGE",2):QUERY%CONFIG$EVENT:GetPgL(vtql.String(1),vtql.DecMode<VTQL::ShowMode>(2));$SetMatch(vtql.String(1));SetMode(vtql.DecMode<VTQL::ShowMode>(2));

("FREQ",1)("AUTOZAP",1):CONFIG:vt_run.ChangeZap(vtql.Freq(1),vtql.Int10(3,0));
("FREQ",1)("ZAP"    ,0):CONFIG:vt_run.SetFreq(vtql.Freq(1));

("STATION",1)("ADD"     ,0):CONFIG:vt_db.AddStation(vtql.Int10(1,0));
("STATION",1)("DELETE"  ,0):CONFIG:vt_db.DelStation(vtql.Int10(1,0));
("STATION",1)("MATCH"   ,1):CONFIG:vt_db[vtql.Int10(1,0)].SetMatch(vtql.String(3));
("STATION",1)("NAME"    ,1):CONFIG:vt_db[vtql.Int10(1,0)].SetName(vtql.String(3));
("STATION",1)("TIMEOUT" ,1):CONFIG:vt_db[vtql.Int10(1,0)].SetTO(vtql.Int10(3,0));

("DEVICE",0)("VBI"    ,0)("OPEN" ,0):CONFIG:vt_run.OpenVbi();
("DEVICE",0)("VIDEO"  ,0)("OPEN" ,0):CONFIG:vt_run.OpenVideo();
("DEVICE",0)("VBI"    ,0)("CLOSE",0):CONFIG:vt_run.CloseVbi();
("DEVICE",0)("VIDEO"  ,0)("CLOSE",0):CONFIG:vt_run.CloseVideo();
("DEVICE",0)("VBI"    ,0)("SET"  ,1):CONFIG:vt_run.SetVbi(vtql.String(3));
("DEVICE",0)("VIDEO"  ,0)("SET"  ,1):CONFIG:vt_run.SetVideo(vtql.String(3));
("DEVICE",0)("CHANNEL",0)("SET"  ,1):CONFIG:vt_run.SetVideoChan(vtql.String(3));

("SOCKET",1)("ADD"   ,1):CONFIG:server.Add(vtql.Int10(1,0),vtql.String(3));
("SOCKET",1)("DELETE",0):CONFIG:server.Del(vtql.Int10(1,0));
("SOCKET",1)("OPEN"  ,0):CONFIG:server[vtql.Int10(1,0)].Listen();
("SOCKET",1)("CLOSE" ,0):CONFIG:server[vtql.Int10(1,0)].Close();
("SOCKET",1)("MODE"  ,1):CONFIG:server[vtql.Int10(1,0)].SetMod(vtql.DecMode<VTQL::UserMode>(3));

("SHOW",0)("STATION" ,0):QUERY%CONFIG:Outp << vt_db;
("SHOW",0)("AUTOZAP" ,0):QUERY%CONFIG:vt_run.ShowZap(vt_run.GetFreq(),Outp);
("SHOW",0)("DEVICE"  ,0):QUERY%CONFIG:Outp << vt_run;
("SHOW",0)("FREQ"    ,0):QUERY%CONFIG:ShowFreq();
("SHOW",0)("SOCKET"  ,0):QUERY%CONFIG:Outp << server;
("SHOW",0)("INFO"    ,0):QUERY%CONFIG:Outp.Add(std::string(glob_defs::cpWarranty));
("SHOW",0)("VERSION" ,0):QUERY%CONFIG:Outp.Add(std::string(glob_defs::cpVersion));
("SHOW",0)("COMMANDS",0):QUERY%CONFIG:ShowCmds();
("SHOW",0)("FREQTABS",0):QUERY%CONFIG:Outp << FreqTab::GetList();
("SHOW",0)("FREQTAB" ,1):QUERY%CONFIG:Outp << FreqTab::GetList(vtql.String(2));


("LOCK",0):CONFIG:server.Control(true,Con);
("UNLOCK",0):CONFIG:server.Control(false,Con);
("QUIT",0):QUERY%CONFIG$EVENT:SetQuit();$return false;
("EXIT",0):QUERY%CONFIG$EVENT:SetQuit();$return false;
